%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate resctl-demo

Name:           rust-resctl-demo
Version:        2.2.5
Release:    1%{?dist}
Summary:        Guided tour of Linux resource control with live demos

License:        Apache-2.0
URL:            https://crates.io/crates/resctl-demo
Source0:         %{crates_source}
Patch:          resctl-demo-fix-metadata.diff
Patch:          resctl-demo-enum-iterator.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
resctl-demo demonstrates and documents various aspects of resource control
using self-contained workloads in guided scenarios.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
Requires:       rd-agent = %{version}
Requires:       rd-hashd = %{version}
Requires:       gnuplot

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/resctl-demo

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.5-1
- initial build
